<!DOCTYPE html>
<html>
<head>
<title>abduction.pl</title>

<link rel="stylesheet" type="text/css" href="pldoc.css">
<meta http-equiv="content-type" content="text/html; charset=UTF-8">

</head>
<body>


<h1 class="file"><span style="float:right"></span>abduction.pl</h1>

<dl>
<dt class="pubdef"><span style="float:right">&nbsp;</span><a name="abduce/2"><b class="pred">abduce</b><var class="arglist">(+Observation:Goal, -Explaination:list)</var></a> is <b class="det">nondet</b></dt><dd class="defbody">Given a Theory and an <var>Observation</var>, find an <var>Explaination</var>
such that:

<pre class="code">
Theory U Explaination :- Observation</pre>

<p>
The <var>Observation</var> follows logically from the Theory extended
with the <var>Explaination</var>.</p>

<dl class="tags">
<dt class="tag">Arguments:</dt><dd>

<table class="arglist">
<tr><td><var>Observation</var></td><td class="argdescr">- is the starting <var>Goal</var> to prove.</td></tr>
<tr><td><var>Explaination</var></td><td class="argdescr">- is the list of abducible literals.</td></tr>
</table>

</dd>
</dl>

</dd>
</dl>

</body>
</html>
